Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.txbridge.ba.data
Enum IdentificationType

    java.lang.Object
      java.lang.Enum<IdentificationType>
          org.jboss.txbridge.ba.data.IdentificationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IdentificationType>

    public enum IdentificationType

extends java.lang.Enum<IdentificationType>

List of supported identification types. Identification type defines how datamgmt data should be processed when executing the datamgmt action. If data has been remembered with textual identifiers (names) then the signature of the datamgmt action must provide information how this data can be matched with parameters of that datamgmt action. If identifiers are represented by numbers then the execution mechanism simply use datamgmt data in the required order (this can be used for remote datamgmt where third-party services are used).

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Enum Constant Summary
`BY_NAME`
`BY_NUMBER`

Method Summary
`static IdentificationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IdentificationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BY_NUMBER

    public static final IdentificationType BY_NUMBER

### BY_NAME

    public static final IdentificationType BY_NAME

Method Detail

### values

    public static final IdentificationType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IdentificationType c : IdentificationType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IdentificationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD